QIFBuchung
Date: 2015-04-26

de.jost_net.OBanToo.QIF

## Class QIFBuchung

- java.lang.Object
- - de.jost_net.OBanToo.QIF.QIFBuchung

-     public class QIFBuchung
      extends java.lang.Object

  QIF-Buchungssatz
  Author:
    Heiner Jostkleigrewe

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.Vector<java.lang.String>` | `adresse`
    `private int` | `ai` Adress-Index
    `private double` | `betrag`
    `private java.lang.String` | `clearedStatus`
    `private java.util.Date` | `datum`
    `private java.lang.String` | `empfaenger`
    `private java.lang.String` | `kategorie`
    `private java.lang.String` | `memo`
    `private java.lang.String` | `referenz`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QIFBuchung()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.String line)`
    `void` | `addAdresse(java.lang.String value)`
    `java.lang.String` | `getAdresseNext()`
    `int` | `getAnzahlAdresszeilen()`
    `double` | `getBetrag()`
    `java.lang.String` | `getClearedStatus()`
    `java.util.Date` | `getDatum()`
    `java.lang.String` | `getEmpfaenger()`
    `java.lang.String` | `getKategorie()`
    `java.lang.String` | `getMemo()`
    `java.lang.String` | `getReferenz()`
    `void` | `setBetrag(double value)`
    `void` | `setClearedStatus(java.lang.String value)`
    `void` | `setDatum(java.util.Date value)`
    `void` | `setEmpfaenger(java.lang.String value)`
    `void` | `setKategorie(java.lang.String value)`
    `void` | `setMemo(java.lang.String value)`
    `void` | `setReferenz(java.lang.String value)`
    `java.lang.String` | `toString()`
    `void` | `write(java.io.DataOutputStream dos)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### datum

          private java.util.Date datum

    - #### betrag

          private double betrag

    - #### empfaenger

          private java.lang.String empfaenger

    - #### kategorie

          private java.lang.String kategorie

    - #### clearedStatus

          private java.lang.String clearedStatus

    - #### referenz

          private java.lang.String referenz

    - #### memo

          private java.lang.String memo

    - #### adresse

          private java.util.Vector<java.lang.String> adresse

    - #### ai

          private int ai

      Adress-Index

  - ### Constructor Detail

    - #### QIFBuchung

          public QIFBuchung()

  - ### Method Detail

    - #### add

          public void add(java.lang.String line)
                   throws QIFException

      Throws:
        `QIFException`

    - #### getDatum

          public java.util.Date getDatum()

    - #### setDatum

          public void setDatum(java.util.Date value)

    - #### getBetrag

          public double getBetrag()

    - #### setBetrag

          public void setBetrag(double value)

    - #### getEmpfaenger

          public java.lang.String getEmpfaenger()

    - #### setEmpfaenger

          public void setEmpfaenger(java.lang.String value)

    - #### getKategorie

          public java.lang.String getKategorie()

    - #### setKategorie

          public void setKategorie(java.lang.String value)

    - #### getClearedStatus

          public java.lang.String getClearedStatus()

    - #### setClearedStatus

          public void setClearedStatus(java.lang.String value)

    - #### getReferenz

          public java.lang.String getReferenz()

    - #### setReferenz

          public void setReferenz(java.lang.String value)

    - #### getMemo

          public java.lang.String getMemo()

    - #### setMemo

          public void setMemo(java.lang.String value)

    - #### getAnzahlAdresszeilen

          public int getAnzahlAdresszeilen()

    - #### getAdresseNext

          public java.lang.String getAdresseNext()

    - #### addAdresse

          public void addAdresse(java.lang.String value)

    - #### write

          public void write(java.io.DataOutputStream dos)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`